summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-13 07:55:58 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-13 08:10:02 +0200
commit4e4de005104c636078ad66d6a0a37a9f47206500 (patch)
treeb41e032ea1dfd319fe429b9104b0d79364aeb458
parentsys-kernel/installkernel-gentoo: Stabilize 3 sparc, #795699 (diff)
downloadgentoo-4e4de005104c636078ad66d6a0a37a9f47206500.tar.gz
gentoo-4e4de005104c636078ad66d6a0a37a9f47206500.tar.bz2
gentoo-4e4de005104c636078ad66d6a0a37a9f47206500.zip
dev-python/feedparser: Bump to 6.0.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/feedparser/Manifest1
-rw-r--r--dev-python/feedparser/feedparser-6.0.3.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/feedparser/Manifest b/dev-python/feedparser/Manifest
index 30c10bf3c62..25c209fcc01 100644
--- a/dev-python/feedparser/Manifest
+++ b/dev-python/feedparser/Manifest
@@ -1,2 +1,3 @@
DIST feedparser-5.2.1.tar.gz 252956 BLAKE2B 182ebefa8a44276e758f277c203c28b274c580b667b039e4fc6ed9bd059b15e35e775e9efb784a97d712dc57e7b176ff91d6e094ddd225735f4315ffa770ae83 SHA512 1fd0c4324e2eff8ef4b15e3793c767290bca562af4a5056fdbdfa12411095530c87a113bb1b9757e532ff63aecb399b18f1e6b753884798eb6b8d3fdf575af81
DIST feedparser-6.0.2.tar.gz 251508 BLAKE2B e571bbd1a26ff06536ce3a134a5f91ff2cfc65ef7074ba7d1e17f4ed57ba19f8db395991b0a8137f9a7db931d4bda2a8a9157588ea5764ffde3bfd0616c71a35 SHA512 8ffcfb2934070ed6f0fc1a3b3d7c6a055c8c8e29dee8d56fa489832b71b94bc70dd8c8360061a103894ea9a80c6a91a6708da16999e36619092674ccfda36a75
+DIST feedparser-6.0.3.tar.gz 251556 BLAKE2B e0aec37a3bf70be26791c6717dd015e128a8a1e4dc8be77371deb4b02e4dac7316366e1a36333e92ae1fbf10096bcba6aa61e06fcbb58c7cc6a00d401939fa7d SHA512 f8de4ed660cde3bce1b289a3f2eb49222a55bd3512a1a16b1805f7d19461c0aac3d9603d66c68af94b71557adcb1cc080cea996700950cee81b644c2fefe0c54
diff --git a/dev-python/feedparser/feedparser-6.0.3.ebuild b/dev-python/feedparser/feedparser-6.0.3.ebuild
new file mode 100644
index 00000000000..2eb6ae0aca1
--- /dev/null
+++ b/dev-python/feedparser/feedparser-6.0.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+DESCRIPTION="Parse RSS and Atom feeds in Python"
+HOMEPAGE="https://github.com/kurtmckee/feedparser
+ https://pypi.org/project/feedparser/"
+SRC_URI="
+ https://github.com/kurtmckee/feedparser/archive/${MY_PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+RDEPEND="dev-python/sgmllib3k[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # broken
+ rm \
+ tests/illformed/chardet/big5.xml \
+ tests/illformed/undeclared_namespace.xml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" tests/runtests.py || die
+}